TabGeckoDocs
Zur Website
Dokumentation / Tags · API

Tags · API

Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.

GET /api/v1/tags

Tags mit Profilanzahl

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "color",
                  "profile_count",
                  "created_at",
                  "updated_at"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "color": {
                    "type": "string"
                  },
                  "profile_count": {
                    "type": "integer"
                  },
                  "created_at": {
                    "type": "integer"
                  },
                  "updated_at": {
                    "type": "integer"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tags mit Profilanzahl",
  "tags": [
    "Tags"
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "name",
                    "color",
                    "profile_count",
                    "created_at",
                    "updated_at"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "color": {
                      "type": "string"
                    },
                    "profile_count": {
                      "type": "integer"
                    },
                    "created_at": {
                      "type": "integer"
                    },
                    "updated_at": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/tags

Tag anlegen

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "name"
        ],
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 50
          },
          "color": {
            "anyOf": [
              {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "darkBlue"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "blue"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "purple"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "red"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "yellow"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "orange"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "green"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "lightGreen"
                    ]
                  }
                ]
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "201": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "name",
            "color",
            "profile_count",
            "created_at",
            "updated_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "color": {
              "type": "string"
            },
            "profile_count": {
              "type": "integer"
            },
            "created_at": {
              "type": "integer"
            },
            "updated_at": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tag anlegen",
  "tags": [
    "Tags"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "name"
          ],
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 50
            },
            "color": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "darkBlue"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "blue"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "purple"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "red"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "yellow"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "orange"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "green"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "lightGreen"
                      ]
                    }
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "201": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "name",
              "color",
              "profile_count",
              "created_at",
              "updated_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "color": {
                "type": "string"
              },
              "profile_count": {
                "type": "integer"
              },
              "created_at": {
                "type": "integer"
              },
              "updated_at": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PATCH /api/v1/tags/{id}

Tag ändern

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 50
          },
          "color": {
            "anyOf": [
              {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "darkBlue"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "blue"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "purple"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "red"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "yellow"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "orange"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "green"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "lightGreen"
                    ]
                  }
                ]
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "name",
            "color",
            "profile_count",
            "created_at",
            "updated_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "color": {
              "type": "string"
            },
            "profile_count": {
              "type": "integer"
            },
            "created_at": {
              "type": "integer"
            },
            "updated_at": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tag ändern",
  "tags": [
    "Tags"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 50
            },
            "color": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "darkBlue"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "blue"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "purple"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "red"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "yellow"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "orange"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "green"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "lightGreen"
                      ]
                    }
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "name",
              "color",
              "profile_count",
              "created_at",
              "updated_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "color": {
                "type": "string"
              },
              "profile_count": {
                "type": "integer"
              },
              "created_at": {
                "type": "integer"
              },
              "updated_at": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/tags/{id}

Tag löschen; Zuordnungen werden entfernt

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "204": {
    "description": "No content."
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tag löschen; Zuordnungen werden entfernt",
  "tags": [
    "Tags"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "204": {
      "description": "No content."
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API-Referenz